yast2-ncurses: NCTableStyle Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCTableStyle Class Reference

`#include <NCTableItem.h>`

List of all members.

## Public Member Functions
| NCTableStyle (const NCWidget &p)
| ~NCTableStyle ()
bool | SetStyleFrom (const vector< NCstring > &head)
void | SetSepChar (const chtype sepchar)
void | SetSepWidht (const unsigned sepwidth)
void | SetHotCol (const int hcol)
void | ResetToMinCols ()
void | AssertMinCols (unsigned num)
void | MinColWidht (unsigned num, unsigned val)
NC::ADJUST | ColAdjust (unsigned num) const
unsigned | Cols () const
unsigned | ColWidht (unsigned num) const
unsigned | ColSepwidht () const
chtype | ColSepchar () const
unsigned | HotCol () const
const NCstyle::StList & | listStyle () const
chtype | getBG () const
chtype | getBG (const NCTableLine::STATE lstate, const NCTableCol::STYLE cstyle=NCTableCol::PLAIN) const
chtype | highlightBG (const NCTableLine::STATE lstate, const NCTableCol::STYLE cstyle, const NCTableCol::STYLE dstyle=NCTableCol::PLAIN) const
chtype | hotBG (const NCTableLine::STATE lstate, unsigned colidx) const
const NCTableLine & | Headline () const
unsigned | TableWidth () const
## Static Public Attributes
static const chtype | currentBG = (chtype)-1
## Private Attributes
NCTableHead | headline
vector< unsigned > | colWidht
vector< NC::ADJUST > | colAdjust
const NCWidget & | parw
unsigned | colSepwidht
chtype | colSepchar
unsigned | hotCol
## Friends
std::ostream & | operator<< (std::ostream &STREAM, const NCTableStyle &OBJ)

## Constructor & Destructor Documentation

NCTableStyle::NCTableStyle | ( | const NCWidget & | p | ) |

NCTableStyle::~NCTableStyle | ( |  | ) | `[inline]`

## Member Function Documentation

void NCTableStyle::AssertMinCols | ( | unsigned | num | ) | `[inline]`

NC::ADJUST NCTableStyle::ColAdjust | ( | unsigned | num | ) | const`[inline]`

unsigned NCTableStyle::Cols | ( |  | ) | const`[inline]`

chtype NCTableStyle::ColSepchar | ( |  | ) | const`[inline]`

unsigned NCTableStyle::ColSepwidht | ( |  | ) | const`[inline]`

unsigned NCTableStyle::ColWidht | ( | unsigned | num | ) | const`[inline]`

chtype NCTableStyle::getBG | ( | const NCTableLine::STATE | lstate,
|  | const NCTableCol::STYLE | cstyle = `NCTableCol::PLAIN`
| ) | const

chtype NCTableStyle::getBG | ( |  | ) | const`[inline]`

const NCTableLine& NCTableStyle::Headline | ( |  | ) | const`[inline]`

chtype NCTableStyle::highlightBG | ( | const NCTableLine::STATE | lstate,
|  | const NCTableCol::STYLE | cstyle,
|  | const NCTableCol::STYLE | dstyle = `NCTableCol::PLAIN`
| ) | const

chtype NCTableStyle::hotBG | ( | const NCTableLine::STATE | lstate,
|  | unsigned | colidx
| ) | const`[inline]`

unsigned NCTableStyle::HotCol | ( |  | ) | const`[inline]`

const NCstyle::StList& NCTableStyle::listStyle | ( |  | ) | const`[inline]`

void NCTableStyle::MinColWidht | ( | unsigned | num,
|  | unsigned | val
| ) | `[inline]`

void NCTableStyle::ResetToMinCols | ( |  | ) | `[inline]`

void NCTableStyle::SetHotCol | ( | const int | hcol | ) | `[inline]`

void NCTableStyle::SetSepChar | ( | const chtype | sepchar | ) | `[inline]`

void NCTableStyle::SetSepWidht | ( | const unsigned | sepwidth | ) | `[inline]`

bool NCTableStyle::SetStyleFrom | ( | const vector< NCstring > & | head | ) |

unsigned NCTableStyle::TableWidth | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | STREAM,
|  | const NCTableStyle & | OBJ
| ) | `[friend]`

## Member Data Documentation

vector<NC::ADJUST> NCTableStyle::colAdjust`[private]`

chtype NCTableStyle::colSepchar`[private]`

unsigned NCTableStyle::colSepwidht`[private]`

vector<unsigned> NCTableStyle::colWidht`[private]`

const chtype NCTableStyle::currentBG = (chtype)-1`[static]`

NCTableHead NCTableStyle::headline`[private]`

unsigned NCTableStyle::hotCol`[private]`

const NCWidget& NCTableStyle::parw`[private]`

The documentation for this class was generated from the following files:

- NCTableItem.h
- NCTableItem.cc